{% assign entry = include.entry %}

{% assign locale = entry.url | slice:0,4 %}
{% assign unlocalised = entry.url %}

{% for supportedLang in site.data.localisations.locales %}
    {% assign testString = '/' | append: supportedLang | append: '/' %}
    {% if testString == locale %}
        {% assign unlocalised = unlocalised | remove_first: locale %}
        {% break %}
    {% endif %}
{% endfor %}

{% assign sanitisedLang = page.lang %}
{% if sanitisedLang == nil %}
    {% assign sanitisedLang = 'en' %}
{% endif %}
{% capture link %}{{site.baseurl}}/{{sanitisedLang}}/{{unlocalised}}{% endcapture %}

{% capture checkPath%}/images/{{entry.contentType}}/{{entry.content_id}}/card.png{% endcapture %}
{% assign cardImage = site.static_files | where: 'path', checkPath | first %}

{% assign localisedVersion = site.pages | where: 'lang', page.lang | where: 'content_id', entry.content_id | first %}
{% assign actualEntry = entry %}
{% if localisedVersion %}
  {% assign actualEntry = localisedVersion %}
{% endif %}

<a class="categoryCard 
  {% if actualEntry.brokenByValve %}
  broken
  {% endif %}
  {% for tag in actualEntry.tags %}
    tag-{{ tag }}
  {% endfor %}" href="{{link}}">

<div class="cardImageContainer">
  <object class="cardImage" data="{{site.baseurl}}{{checkPath}}" type="image/png">
  </object>
  <div class="cardSVGContainer">
    <svg class="cardSVG">
      <text y="40%"
            x="10"
            textLength="180" 
            lengthAdjust="spacingAndGlyphs"
            style="
              fill: rgba(
                  {{actualEntry.title | size | times: 173 | modulo: 150 | plus: 100 }},
                  {{actualEntry.title | size | times: 137 | modulo: 150 | plus: 100 }},
                  {{actualEntry.title | size | times: 87 | modulo: 200 }},
                  1);
              text-shadow: 2px 2px 4px #000, -1px -1px 4px #000;
              font-weight: bold;
            "
      >{{actualEntry.title}}</text>
    </svg>
  </div>
</div>

{{ actualEntry.title }}

{% if actualEntry.infoBoxContent.duration %}
<div class="cardRow">
  <div class="gameInfo-icon time-icon"></div>
  <span class="cardRowText">
  {{ actualEntry.infoBoxContent.duration }}      {{ site.data.localisations.duration-minutes[page.lang] }}
</span>
</div>
{% endif %}

{% if actualEntry.infoBoxContent.playerCount %}
<div class="cardRow">
  <div class="gameInfo-icon playerCount-icon"></div>
  <span class="cardRowText">
  {{ actualEntry.infoBoxContent.playerCount }}
  </span>
</div>
{% endif %}

{% if actualEntry.tags %}
<div class="cardRow">
  <div class="gameInfo-icon tags-icon"></div>
  <span class="cardRowText">
    {% assign tagArray = "" | split: "," %}
    {% for tag in actualEntry.tags %}
      {% assign tagArray = tagArray | push: site.data.localisations[tag][page.lang] %}
    {% endfor %}
    {{ tagArray | join: ", " }}
  </span>
</div>
{% endif %}

</a>